summaryrefslogtreecommitdiffstats
path: root/system/apple-fonts-SF/apple-fonts-SF.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/apple-fonts-SF/apple-fonts-SF.SlackBuild')
-rw-r--r--system/apple-fonts-SF/apple-fonts-SF.SlackBuild91
1 files changed, 91 insertions, 0 deletions
diff --git a/system/apple-fonts-SF/apple-fonts-SF.SlackBuild b/system/apple-fonts-SF/apple-fonts-SF.SlackBuild
new file mode 100644
index 0000000000..527489be30
--- /dev/null
+++ b/system/apple-fonts-SF/apple-fonts-SF.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/bash
+
+# Slackware build script for <apple-fonts-SF>
+
+# Copyright 2023 Petar Petrov slackalaxy at gmail dot com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=apple-fonts-SF
+VERSION=${VERSION:-2023}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+7z x $CWD/SF-Compact.dmg
+7z x $CWD/SF-Mono.dmg
+7z x $CWD/SF-Pro.dmg
+
+mkdir -p $PKG/usr/share/fonts/OTF
+
+cd SFCompactFonts
+7z x SF\ Compact\ Fonts.pkg
+7z x Payload~
+cd Library/Fonts
+cp -a *.otf $PKG/usr/share/fonts/OTF
+cd ../../..
+
+cd SFMonoFonts
+7z x SF\ Mono\ Fonts.pkg
+7z x Payload~
+cd Library/Fonts
+cp -a *.otf $PKG/usr/share/fonts/OTF
+cd ../../..
+
+cd SFProFonts
+7z x SF\ Pro\ Fonts.pkg
+7z x Payload~
+cd Library/Fonts
+cp -a *.otf $PKG/usr/share/fonts/OTF
+
+# just in case...
+chmod 0644 $PKG/usr/share/fonts/OTF/*.otf
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE